CVE-2022-31078

Uncontrolled Resource Consumption in go/github.com/kubeedge/kubeedge

Identifiers

GHSA-qpx3-9565-5xwm, CVE-2022-31078

Package Slug

go/github.com/kubeedge/kubeedge

Vulnerability

Uncontrolled Resource Consumption

Description

KubeEdge is an open source system for extending native containerized application orchestration capabilities to hosts at Edge. Prior to versions 1.11.1, 1.10.2, and 1.9.4, the CloudCore Router does not impose a limit on the size of responses to requests made by the REST handler. An attacker could use this weakness to make a request that will return an HTTP response with a large body and cause DoS of CloudCore. In the HTTP Handler API, the rest handler makes a request to a pre-specified handle. The handle will return an HTTP response that is then read into memory. The consequence of the exhaustion is that CloudCore will be in a denial of service. Only an authenticated user of the cloud can make an attack. It will be affected only when users enable router module in the config file cloudcore.yaml. This bug has been fixed in Kubeedge 1.11.1, 1.10.2, and 1.9.4. As a workaround, disable the router switch in the config file cloudcore.yaml.

Affected Versions

All versions before 1.9.4, all versions starting from 1.10.0 before 1.10.2, all versions starting from 1.11.0 before 1.11.1

Solution

Upgrade to versions 1.10.2, 1.11.1, 1.9.4 or above.

Last Modified

2022-07-24

source